Skip to main content
GET
Fetch Billing Plan History

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

ID
string
required

The id or the vid of the Subscription to retrieve Billing Plan history A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON A list array with a data property that contains an array of up to limit Subscriptions, starting after the specified starting_after Subscription (or ending before the specified ending_before Subscription). Each entry in the array is a full Subscription object. If no more Subscriptions are available, the resulting array will be empty. This request should never throw an error.

A list of Subscription objects matching the query. Also:

  • "total_count": Integer count of the number of TimeInterval in the returned list.

  • "url": The query string provided in the request

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here

previous
string

The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanHistory\", \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" }, \"starts\": \"2022-04-05T06:58:09+00:00\" } ], \"total_count\": 1, \"url\": \"/subscriptions/Subscription_1649141886/billing_plan_history\" }"